package state;

import java.util.Date;
import java.util.concurrent.TimeUnit;

public class Overdue implements Situation {

    // Na situacao "Inadimplente", sao cobrados juros de 10% mais 0,2 de multa diarios.

    public float calculateSubscriptionValue(Subscription context){

        // Calculo dos dias de atraso para definir o valor da multa
        long totalDays = context.getToday().getTime() - context.getDueDate().getTime();
        totalDays = TimeUnit.DAYS.convert(totalDays, TimeUnit.MILLISECONDS);

        return context.getPlanValue() + 0.1f* context.getPlanValue() + 0.2f*totalDays;
    }
}